> For the complete documentation index, see [llms.txt](https://legacy-docs.aragon.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/role.md).

# Role

{% hint style="info" %}
A single role, which can be assigned to create a permission for a specific entity.
{% endhint %}

## Properties <a href="#properties" id="properties"></a>

| Name          | Type           | Description                                                           |
| ------------- | -------------- | --------------------------------------------------------------------- |
| `appAddress`  | `String`       | Address of the app this role belongs to.                              |
| `description` | `String`       | Description of the role. E.g. `"Mint tokens"`.                        |
| `permissions` | `Permission[]` | Permissions associated to the role.                                   |
| `hash`        | `String`       | Encoded identifier for the role.                                      |
| `name`        | `String`       | Identifier of the role. E.g. `"MINT_ROLE"`.                           |
| `manager`     | `String`       | Address of the role manager.                                          |
| `params`      | `String[]`     | Params associated to the role. E.g. `[ "Receiver", "Token amount" ]`. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/role.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
